﻿@using EnergyMission
@Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsClientTeams", "ClientTeams", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    settings.SettingsPager.Mode = GridViewPagerMode.ShowAllRecords;    
    settings.ClientSideEvents.SelectionChanged = "function (s, e) { editRow(s, e); }";
    settings.KeyFieldName = "Id";
    settings.Columns.Add("Name");
   
    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";

        column.SetDataItemTemplateContent(c =>
        {
            var id = DataBinder.Eval(c.DataItem, "ID");

            Html.DevExpress().HyperLink(hsettings =>
            {
                hsettings.Name = c.KeyValue.ToString();
                hsettings.Properties.ClientSideEvents.Click = "function(s,e){MyFunction(" + DataBinder.Eval(c.DataItem, "Id").ToString() + " ,'');}";
                hsettings.Properties.Text = "Edit";
            }).Render();

            ViewContext.Writer.Write(String.Format("<span class='Add'> <a onclick=\"OnRemoveClick(" + id + ");\" id='addcoloum'> Remove </a> </span>"));
                



        });

    });

}).Bind(Model).GetHtml()
